spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Static Public Member Functions | List of all members
spot::isomorphism_checker Class Referencefinal

Check if two automata are isomorphic. More...

`#include <spot/twaalgos/are_isomorphic.hh>`

Collaboration diagram for spot::isomorphism_checker:

## Public Member Functions
| isomorphism_checker (const const_twa_graph_ptr ref)
bool | is_isomorphic (const const_twa_graph_ptr aut)
| Check whether an automaton is isomorphic to the one passed to the constructor. More...

## Static Public Member Functions
static bool | are_isomorphic (const const_twa_graph_ptr ref, const const_twa_graph_ptr aut)
| Check whether two automata are isomorphic. More...

## Detailed Description

Check if two automata are isomorphic.

The documentation for this class was generated from the following file:

- spot/twaalgos/are_isomorphic.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.